API

Telegram API

The AI-powered Telegram provides 360° Global Media Data & Intelligence on Telegram channel operators, community managers, news distributors, and messaging platform teams.

API संदर्भ संस्करण: 1.0.0 2 एंडपॉइंट प्रमाणीकरण
Telegram Monitor

बेस URL

https://pressmonitor.com/api

प्रमाणीकरण

सभी अनुरोधों के लिए x-api-key और x-subscription-id हेडर आवश्यक हैं। x-api-key आपके खाते को प्रमाणित करता है; x-subscription-id सब्सक्राइब किए गए सेवा को चुनता है।

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /telegram_channel

Telegram Chaîne

पैरामीटर

नाम प्रकार स्थान आवश्यक विवरण
channel string query हां Channel name

कोड उदाहरण

curl -X GET \
  "https://pressmonitor.com/api/telegram_channel?channel=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

प्रतिक्रियाएं

200 Success
GET /telegram_messages

Telegram Messages

पैरामीटर

नाम प्रकार स्थान आवश्यक विवरण
channel string query हां Channel name
limit integer query नहीं Number of results

कोड उदाहरण

curl -X GET \
  "https://pressmonitor.com/api/telegram_messages?channel=VALUE&limit=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

प्रतिक्रियाएं

200 Success